Results 1 to 5 of 5

Thread: apt shows upgrades available but can't install them

  1. #1
    Join Date
    May 2010
    Location
    USA
    Beans
    112
    Distro
    Xubuntu

    apt shows upgrades available but can't install them

    I am using Xubuntu 19.04. I have never had this problem before.

    When I run sudo apt update it says:
    3 packages can be upgraded. Run 'apt list --upgradable' to see them.

    apt list --upgradable shows the three packages:
    linux-generic/disco-updates 5.0.0.21.22 amd64 [upgradable from: 5.0.0.20.21]
    linux-headers-generic/disco-updates 5.0.0.21.22 amd64 [upgradable from: 5.0.0.20.21]
    linux-image-generic/disco-updates 5.0.0.21.22 amd64 [upgradable from: 5.0.0.20.21]


    If I run sudo apt upgrade or sudo apt full-upgrade they both say:
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    Running Software Updater says everything is up to date.

    I thought something might have broke so I ran sudo dpkg --configure -a and sudo apt -f install which didn't find any problems.

    How do I troubleshoot this?

  2. #2
    Join Date
    Feb 2010
    Location
    South of the Maple Trees
    Beans
    Hidden!
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: apt shows upgrades available but can't install them

    That's weird, have you run sudo apt dist-upgrade?

  3. #3
    Join Date
    May 2010
    Location
    USA
    Beans
    112
    Distro
    Xubuntu

    Re: apt shows upgrades available but can't install them

    Quote Originally Posted by uRock View Post
    That's weird, have you run sudo apt dist-upgrade?
    apt-get dist-upgrade should be the same thing as apt full-upgrade. Neither works. I still get 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    I also tried Synaptic and it doesn't show any upgrades available either.

    I just tried to install the 3 packages and got this:
    sudo apt install linux-generic linux-headers-generic linux-image-generic
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    linux-headers-generic : Depends: linux-headers-5.0.0-21-generic but it is not installable
    linux-image-generic : Depends: linux-image-5.0.0-21-generic but it is not going to be installed
    Depends: linux-modules-extra-5.0.0-21-generic but it is not installable
    E: Unable to correct problems, you have held broken packages.


    My kernel version is 5.0.0-20 from last week. Maybe these packages got into the repo before the next kernel version or something. I don't know what's going on or how to fix it, or if it needs to be fixed.
    Last edited by rattskjelke; July 23rd, 2019 at 01:29 AM.

  4. #4
    Join Date
    Aug 2011
    Location
    51.8° N 5.8° E
    Beans
    4,710
    Distro
    Xubuntu 19.04 Disco Dingo

    Re: apt shows upgrades available but can't install them

    It could be a server glitch: upgraded packages available before their new dependencies. Try again. I just installed the same update.

  5. #5
    Join Date
    May 2010
    Location
    USA
    Beans
    112
    Distro
    Xubuntu

    Re: apt shows upgrades available but can't install them

    Quote Originally Posted by Impavidus View Post
    It could be a server glitch: upgraded packages available before their new dependencies.
    That must have been what happened. Today it updated the kernel with no held packages or other problems.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •